<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Tue Oct 29 10:47:16 CET 2019 -->
<title>Class Hierarchy</title>
<meta name="date" content="2019-10-29">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="factories/package-tree.html">factories</a>, </li>
<li><a href="provider/package-tree.html">provider</a>, </li>
<li><a href="refinement/handlers/package-tree.html">refinement.handlers</a>, </li>
<li><a href="utils/package-tree.html">utils</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">factories.<a href="factories/ComponentAnalysisFactory.html" title="class in factories"><span class="typeNameLink">ComponentAnalysisFactory</span></a></li>
<li type="circle">utils.<a href="utils/DifferenceUtils.html" title="class in utils"><span class="typeNameLink">DifferenceUtils</span></a></li>
<li type="circle">org.eclipse.core.commands.common.EventManager
<ul>
<li type="circle">org.eclipse.core.commands.AbstractHandler (implements org.eclipse.core.commands.IHandler2)
<ul>
<li type="circle">refinement.handlers.<a href="refinement/handlers/ComponentHandler.html" title="class in refinement.handlers"><span class="typeNameLink">ComponentHandler</span></a></li>
<li type="circle">refinement.handlers.<a href="refinement/handlers/RefinementHandler.html" title="class in refinement.handlers"><span class="typeNameLink">RefinementHandler</span></a></li>
<li type="circle">refinement.handlers.<a href="refinement/handlers/SaveHandler.html" title="class in refinement.handlers"><span class="typeNameLink">SaveHandler</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.jface.viewers.BaseLabelProvider (implements org.eclipse.jface.viewers.IBaseLabelProvider)
<ul>
<li type="circle">org.eclipse.jface.viewers.LabelProvider (implements org.eclipse.jface.viewers.ILabelProvider)
<ul>
<li type="circle">provider.<a href="provider/PCMFileProvider.html" title="class in provider"><span class="typeNameLink">PCMFileProvider</span></a></li>
<li type="circle">provider.<a href="provider/RefinementLabelProvider.html" title="class in provider"><span class="typeNameLink">RefinementLabelProvider</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">factories.<a href="factories/GccComponentAnalysis.html" title="class in factories"><span class="typeNameLink">GccComponentAnalysis</span></a> (implements factories.<a href="factories/ComponentAnalysis.html" title="interface in factories">ComponentAnalysis</a>)</li>
<li type="circle">utils.<a href="utils/LoggingUtils.html" title="class in utils"><span class="typeNameLink">LoggingUtils</span></a></li>
<li type="circle">utils.<a href="utils/Utils.html" title="class in utils"><span class="typeNameLink">Utils</span></a></li>
<li type="circle">utils.<a href="utils/XMLUtils.html" title="class in utils"><span class="typeNameLink">XMLUtils</span></a></li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">factories.<a href="factories/ComponentAnalysis.html" title="interface in factories"><span class="typeNameLink">ComponentAnalysis</span></a></li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
